#!/bin/bash
set -exuo pipefail

# https://stackoverflow.com/a/2173421
trap "trap - SIGTERM && kill -- -$$" SIGINT SIGTERM EXIT

export SHARED_WARCS_DIR="${SHARED_WARCS_DIR:-/data/}"
export INCOMING="${INCOMING:-${SHARED_WARCS_DIR}/incoming/}"
export UPLOAD_QUEUE="${UPLOAD_QUEUE:-${SHARED_WARCS_DIR}/upload-queue/}"

mkdir -pv "${INCOMING}"
mkdir -pv "${UPLOAD_QUEUE}"

case "$1" in
	"mover")
		/mover.sh
		;;

esac

